Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 457385 - pdbedit -N doesn't work without -r specified
Summary: pdbedit -N doesn't work without -r specified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Guenther Deschner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-31 10:52 UTC by Ales Zelinka
Modified: 2014-03-05 12:50 UTC (History)
2 users (show)

Fixed In Version: samba-3.0.33-3.18.el5
Doc Type: Bug Fix
Doc Text:
previously, the man pages and usage messages for rpcclient, smbcacls, samba-client, smbget, smbtree, and pdbedit contained errors, omissions, and outdated information. Users could not therefore rely on the provided documentation to use these programs. The documentation for each of these components has been reviewed and corrected and no longer contains misleading information.
Clone Of:
Environment:
Last Closed: 2010-03-30 09:03:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0300 0 normal SHIPPED_LIVE samba bug fix update 2010-03-29 14:28:18 UTC

Description Ales Zelinka 2008-07-31 10:52:24 UTC
Description of problem:
"pdbedit -u user -N description" does nothing but "pdbedit -r -u user -N
description" works even though -r is deprecated and shouldn't be required. 

Version-Release number of selected component (if applicable):
samba-common-3.0.28-1.el5_2.1.x86_64

How reproducible:
always

Steps to Reproduce:
pdbedit -u sambauser -r -N with-r-param
pdbedit -u sambauser -N without-r-param
pdbedit -u sambauser -v |grep "Account desc:"

Actual results:
Account desc: with-r-param
Expected results:
Account desc: without-r-param

Comment 7 Ruediger Landmann 2010-03-22 15:30:08 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
previously, the man pages and usage messages for rpcclient, 
smbcacls, samba-client, smbget, smbtree, and pdbedit contained 
errors, omissions, and outdated information. Users could not
therefore rely on the provided documentation to use these programs. 
The documentation for each of these components has been reviewed and 
corrected and no longer contains misleading information.

Comment 8 errata-xmlrpc 2010-03-30 09:03:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0300.html


Note You need to log in before you can comment on or make changes to this bug.